package com.usky.fire.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.StringUtils;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.usky.common.core.bean.CommonPage;
import com.usky.fire.domain.DemReportInfo;
import com.usky.fire.domain.ReportResult;
import com.usky.fire.mapper.ReportResultMapper;
import com.usky.fire.service.ReportResultService;
import com.usky.common.mybatis.core.AbstractCrudService;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 报告结果表 服务实现类
 * </p>
 *
 * @author han
 * @since 2023-06-28
 */
@Service
public class ReportResultServiceImpl extends AbstractCrudService<ReportResultMapper, ReportResult> implements ReportResultService {
    @Override
    public CommonPage<ReportResult> reportResultList(Integer companyId, String sourceType, Integer pageNum,
                                                     Integer pageSize) {
        IPage<ReportResult> page = new Page<>(pageNum, pageSize);
        LambdaQueryWrapper<ReportResult> queryWrapper = Wrappers.lambdaQuery();
        queryWrapper.eq(ReportResult::getObjectId, companyId)
                    .orderByDesc(ReportResult::getId);
        page = this.page(page, queryWrapper);
        return ToCommonPage(page);
    }
}
