package com.usky.iot.controller.web;


import com.usky.common.core.bean.ApiResult;
import com.usky.common.core.bean.CommonPage;
import com.usky.iot.domain.CrmInvoiceInfo;
import com.usky.iot.service.CrmInvoiceInfoService;
import com.usky.iot.service.vo.CrmInvoiceInfoRequest;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 客户发票信息表 前端控制器
 * </p>
 *
 * @author han
 * @since 2023-06-29
 */
@RestController
@RequestMapping("/crmInvoiceInfo")
public class CrmInvoiceInfoController {

    @Autowired
    private CrmInvoiceInfoService crmInvoiceInfoService;

    /**
     * 新增
     * @param invoiceInfo
     * @return
     */
    @PostMapping
    public ApiResult<Void> add(@RequestBody CrmInvoiceInfo invoiceInfo){
        crmInvoiceInfoService.add(invoiceInfo);
        return ApiResult.success();
    }

    @PostMapping("/page")
    public ApiResult<CommonPage<CrmInvoiceInfo>> page(@RequestBody CrmInvoiceInfoRequest crmInvoiceInfoRequest){
        return ApiResult.success(crmInvoiceInfoService.page(crmInvoiceInfoRequest));
    }

}

