package com.usky.iot.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.CollectionUtils;
import com.baomidou.mybatisplus.core.toolkit.StringUtils;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.usky.common.core.bean.CommonPage;
import com.usky.common.security.utils.SecurityUtils;
import com.usky.iot.domain.CrmCustomInfo;
import com.usky.iot.domain.CrmInvoiceInfo;
import com.usky.iot.mapper.CrmInvoiceInfoMapper;
import com.usky.iot.service.CrmCustomInfoService;
import com.usky.iot.service.CrmInvoiceInfoService;
import com.usky.common.mybatis.core.AbstractCrudService;
import com.usky.iot.service.vo.CrmInvoiceInfoRequest;
import com.usky.iot.service.vo.CrmInvoiceInfoVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.time.LocalDateTime;
import java.util.ArrayList;
import java.util.List;

/**
 * <p>
 * 客户发票信息表 服务实现类
 * </p>
 *
 * @author han
 * @since 2023-06-29
 */
@Service
public class CrmInvoiceInfoServiceImpl extends AbstractCrudService<CrmInvoiceInfoMapper, CrmInvoiceInfo> implements CrmInvoiceInfoService {
    @Autowired
    private CrmCustomInfoService crmCustomInfoService;

    @Override
    public void add(CrmInvoiceInfo crmInvoiceInfo){

        crmInvoiceInfo.setCreateBy(SecurityUtils.getUsername());
        crmInvoiceInfo.setCreateTime(LocalDateTime.now());
        crmInvoiceInfo.setTenantId(SecurityUtils.getTenantId());
        this.save(crmInvoiceInfo);
    }

    @Override
    public CommonPage<CrmInvoiceInfo> page(CrmInvoiceInfoRequest crmInvoiceInfoRequest){
        IPage<CrmInvoiceInfo> page = new Page<>(crmInvoiceInfoRequest.getCurrent(),crmInvoiceInfoRequest.getSize());
        page = baseMapper.page(page,crmInvoiceInfoRequest);
        return new CommonPage<>(page.getRecords(),page.getTotal(),page.getSize(),page.getCurrent());
    }

}
